from helium.bfs10076.bfs10137 import lower, bfs10140
class bfs10146(object):
  def bfs10137(self, value, text):
    raise NotImplementedError()

  def text(self, value, text):
    raise NotImplementedError()


class bfs10150(bfs10146):
  def bfs10137(self, value, text):
    if (not text):
      return ''

    if ('*' in text):
      bfs10152 = value
    else:
      bfs10152 = ("translate(%s, '*', '')" % value)

    return ("starts-with(normalize-space(%s), '%s')" % (lower(bfs10140(bfs10152)), text.lower()))

  def text(self, value, text):
    if (not text):
      return True

    return value.lower().lstrip().startswith(text.lower())


